import { Injectable } from '@angular/core';
import { environment } from '../../environment';
import { HttpClient } from '@angular/common/http';
import { AuthService } from './auth.service';
import { Observable } from 'rxjs';
import { UserDTO } from '../model/UserDTO';

@Injectable({
  providedIn: 'root',
})
export class UsersService {
  constructor(private http: HttpClient, private authService: AuthService) {}

  public loadUsers(): Observable<UserDTO[]> {
    return this.http.get<UserDTO[]>(`${environment.apiURL}/admin/users`, {
      headers: this.authService.getAuthHeaders(),
    });
  }

  public deleteUser(uid: string): Observable<{message: string}> {
    return this.http.delete<{message: string}>(`${environment.apiURL}/admin/user/${uid}`, {
      headers: this.authService.getAuthHeaders(),
    });
  }
}
